package com.fastbee.ggroup.enums;

import lombok.Getter;

/**
 * @author mi9688
 * &#064;date  2024/10/09 17:00
 */

@Getter
public enum SiteTypeCategoryEnum {
    //水利设施与管理
    WATER_MANAGEMENT("水利设施与管理"),
    //检测站
    DETECTION_STATION("监测站"),
    //公共设施
    PUBLIC_FACILITIES("公共设施"),
    //报警事件
    ALARM_EVENT("报警事件"),
    //其他
    OTHER("其他");

    private final String name;
    SiteTypeCategoryEnum(String name){this.name = name;}

    public static SiteTypeCategoryEnum getEnum(String name){
        for(SiteTypeCategoryEnum siteTypeCategoryEnum : SiteTypeCategoryEnum.values()){
            if(siteTypeCategoryEnum.getName().equals(name)){
                return siteTypeCategoryEnum;
            }
        }
        return null;
    }

    /**
     * 判断变量值是否包含在枚举值里面
     */
    public static boolean contains(String value) {
        for (SiteTypeCategoryEnum siteTypeCategoryEnum : SiteTypeCategoryEnum.values()) {
            if (siteTypeCategoryEnum.getName().equals(value)) {
                return true;
            }
        }
        return false;
    }
}
